Bug 72113 - My Genius NetScroll+ doesn't need 3-button emulation
My Genius NetScroll+ doesn't need 3-button emulation
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-21 03:27 EDT by Alexandre Oliva
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-22 15:37:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2002-08-21 03:27:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
This mouse has 3 buttons already, but when I choose it in Anaconda, it enables
3-button emulation, instead of leaving it disabled.  Is this on purpose or just
a bug?

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Plug a Genius NetScroll+ PS/2 to a PC
2.Start the installer
3.Verify that 3-button emulation is unchecked
4.Choose Genius -> NetScroll+ as the mouse type
	

Actual Results:  3-button emulation is now checked

Expected Results:  I think it shouldn't

Additional info:
Comment 1 Leonid Mamtchenkov 2002-08-22 10:57:46 EDT
I just wanted to confirm this behavior.
Comment 2 Michael Fulbright 2002-08-22 12:44:59 EDT
The Genius mice are set to this for some reason (historically).

Are there 2 and 3 button models?
Comment 3 Alexandre Oliva 2002-08-22 13:23:03 EDT
I've never seen a Genius NetScroll+ that didn't have 3 buttons.  Perhaps the
NetScroll (non-+) has only two.  I wouldn't mind if it just didn't change the
3-button emulation button, but always enabling such emulation is clearly wrong,
as I have proof that there are at least two such mice that have 3 buttons, and I
saw more of those at the shop :-)  None of them had only 2 buttons, btw.
Comment 4 Michael Fulbright 2002-08-22 15:36:58 EDT
I'll change the Netscroll+ to not force 3 button. I take your word :)
Comment 5 David Lawrence 2002-09-04 16:22:30 EDT
Verified that with the latest code, Netscroll+ does not have emulate 3 buttons
checked by default and Netscroll does. Fixed.

Note You need to log in before you can comment on or make changes to this bug.